### Method

# FwupdPlugin IhexFirmware set_padding_value

since: 1.6.0

#### Declaration [src]

    void
    fu_ihex_firmware_set_padding_value (
      FuIhexFirmware* self,
      guint8 padding_value
    )

#### Description [src]

Set the padding value to fill incomplete address ranges.

The default value of zero can be changed to `0xff` if functions like `fu_bytes_is_empty()` are going to be used on subsections of the data.

Available since: 1.6.0

#### Parameters

`padding_value`

  Type: `guint8`

  The byte used to pad the image.